Package org.apache.sysds.hops.fedplanner

## Class FederatedCompilationTimer.TimeEntry

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.FederatedCompilationTimer.TimeEntry

Enclosing class:
  FederatedCompilationTimer

    public static class FederatedCompilationTimer.TimeEntry
    extends Object

### Constructor Summary

Constructors
`TimeEntry​(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDuration()`
`boolean` `is​(String searchName)`
`void` `stopTime()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeEntry

    public TimeEntry​(String name)

### Method Detail

#### stopTime

    public void stopTime()

#### is

    public boolean is​(String searchName)

#### getDuration

    public long getDuration()